<template>
  <IndexLayout>
    <main>
      <div class="title">
        <h1 class="title-main">
          {{ $t('landing_page.hello') }}, {{ $t('landing_page.i_am') }}
          <span class="orange-highlight">{{ $t('landing_page.cecile') }}</span>!
        </h1>
        <h2 class="title-note">
          {{ $t('landing_page.messages.subtitle') }}
        </h2>
      </div>

      <p>
        {{ $t('landing_page.i_love_working_on') }}
        <span class="blue-highlight">{{ $t('landing_page.stacks') }}</span>
        {{ $t('landing_page.made_of_a') }}
        <span class="dark-red-highlight">{{ $t('landing_page.javascript_front_end') }}</span>
        {{ $t('landing_page.and_a') }}
        <span class="bright-orange-highlight">{{ $t('landing_page.java_spring_back_end') }}</span>.<br>
        {{ $t('landing_page.messages.additional_interests') }}
      </p>
      <g-link
        :to="$tp('/home/')"
        id="dive-in-button"
        class="gradient-button red-orange-gold-gradient"
      >
        {{ $t('landing_page.dive_in') }}
      </g-link>
    </main>
    <img
      id="bottom-left-blue-fish"
      class="background-fish"
      :src="blueFish"
      alt="Blue fish"
    >
    <img
      id="top-right-red-fish"
      class="background-fish"
      :src="redFish"
      alt="Red fish"
    >
    <img
      id="top-foliage-1"
      class="ornamental-foliage"
      :src="foliage1"
      alt="Ornamental foliage"
    >
    <img
      id="top-foliage-2"
      class="ornamental-foliage"
      :src="foliage1"
      alt="Ornamental foliage"
    >
    <img
      id="top-foliage-3"
      class="ornamental-foliage"
      :src="foliage2"
      alt="Ornamental foliage"
    >
    <img
      id="left-foliage-1"
      class="ornamental-foliage"
      :src="foliage1"
      alt="Ornamental foliage"
    >
    <img
      id="left-foliage-2"
      class="ornamental-foliage"
      :src="foliage2"
      alt="Ornamental foliage"
    >
    <img
      id="bottom-foliage-1"
      class="ornamental-foliage"
      :src="foliage2"
      alt="Ornamental foliage"
    >
    <img
      id="bottom-foliage-2"
      class="ornamental-foliage"
      :src="foliage1"
      alt="Ornamental foliage"
    >
    <img
      id="right-foliage-1"
      class="ornamental-foliage"
      :src="foliage2"
      alt="Ornamental foliage"
    >
    <div class="leaf-container">
      <div class="leaf" />
      <div class="leaf" />
      <div class="leaf" />
      <div class="leaf" />
    </div>
  </IndexLayout>
</template>

<script src="../scripts/views/index.js"/>
<style lang="scss" src="../styles/views/index.scss"/>
